#
# spec file for package clipped
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.davidmhewitt.clipped
Name:           clipped
Version:        1.1.1
Release:        2.2
Summary:        Clipboard Manager
License:        GPL-2.0-only
URL:            https://github.com/davidmhewitt/clipped
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.28.0
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)

%description
Clipboard history manager for the Pantheon Desktop.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{appid}
%fdupes %{buildroot}

%files
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml
%dir %{_datadir}/icons/hicolor/{128x128@2,128x128@2/apps,16x16@2,16x16@2/apps,24x24@2,24x24@2/apps,32x32@2,32x32@2/apps,48x48@2,48x48@2/apps,64x64@2,64x64@2/apps}

%files lang -f %{appid}.lang

%changelog
* Sun Nov 17 2024 Richard Rahl <rrahl0@opensuse.org>
- update spec file for Leap 16.0:
  * remove %%suse_update_desktop_file
  * remove mention of elementary
  * remove -lang package from recommends
  * remove HiDPI workaround
* Mon May 20 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.1:
  * Add comment for future me
  * Increase focus_out timeout
  * Add StartupWMClass (#49)
  * Fix delete crash
  * Remove X11 keybind (#48)
  * Add version to meson (#47)
  * Add support for @2 icons (#46)
* Sun May 12 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.1.0:
  * Allow deleting clipboard entries with delete key
  * Allow typing numbers when search bar is focused
  * Hardcode elementary theme
  * Update appdata
  * Remove cmake files
  * Add meson files
- Spec file cleanup
* Mon Sep 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 1.0.3:
  * debian folder moved out to orphan branches
  * Update Lithuanian language (#22)
  * Fix style priority
  * Update search entry CSS selectors
- Spec file cleanup
* Tue Dec 19 2017 jengelh@inai.de
- Drop redundant assignment of CFLAGS; %%cmake already does this.
* Sun Nov  5 2017 avvissu@yandex.by
- Initial package
